Index: invariantview/src/sans/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/src/sans/perspectives/invariant/invariant_panel.py	(revision 699df7f2507a8002055bb9bc0dfb023193cbf544)
+++ invariantview/src/sans/perspectives/invariant/invariant_panel.py	(revision 07eb396406762c365b39097ecf432e829a5f81cd)
@@ -478,4 +478,5 @@
                 wx.PostEvent(self.parent, StatusEvent(status=msg,
                                                       type="stop"))
+                raise
         else:
             try:
@@ -515,5 +516,7 @@
                         msg = "Expect float for power at low q, "
                         msg += " got %s" % (power_low)
-                        raise ValueError, msg
+                        wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="error",
+                                                  type="stop"))
        
         #Get the number of points to extrapolated
@@ -525,5 +528,7 @@
                 msg = "Expect float for number of points at low q,"
                 msg += " got %s" % (npts_low)
-                raise ValueError, msg
+                wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="error",
+                                                  type="stop"))
         #Set the invariant calculator
         inv.set_extrapolation(range="low", npts=npts_low,
@@ -551,5 +556,7 @@
                     msg = "Expect float for power at high q,"
                     msg += " got %s" % (power_high)
-                    raise ValueError, msg
+                    wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="error",
+                                                  type="stop"))
                           
         npts_high = self.npts_high_tcl.GetValue().lstrip().rstrip()   
@@ -560,5 +567,7 @@
                 msg = "Expect float for number of points at high q,"
                 msg += " got %s" % (npts_high)
-                raise ValueError, msg
+                wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="error",
+                                                  type="stop"))
         inv.set_extrapolation(range="high", npts=npts_high,
                                    function=function_high, power=power_high)
@@ -638,14 +647,25 @@
             return
         self.Show(False)
-        #Compute qstar extrapolated to low q range 
-        self.get_low_qstar(inv=inv, npts_low=npts_low, low_q=low_q)
-        #Compute qstar extrapolated to high q range 
-        self.get_high_qstar(inv=inv, high_q=high_q)
-        #Compute qstar extrapolated to total q range and set value to txtcrtl
-        self.get_total_qstar(inv=inv, extrapolation=extrapolation)
-        # Parse additional parameters
-        porod_const = self.get_porod_const()        
-        contrast = self.get_contrast()
-        
+        r_msg = ''
+        try:
+            r_msg = 'Low Q: '
+            #Compute qstar extrapolated to low q range 
+            self.get_low_qstar(inv=inv, npts_low=npts_low, low_q=low_q)
+            r_msg = 'High Q: '
+            #Compute qstar extrapolated to high q range 
+            self.get_high_qstar(inv=inv, high_q=high_q)
+            r_msg = ''
+            #Compute qstar extrapolated to total q range 
+            #and set value to txtcrtl
+            self.get_total_qstar(inv=inv, extrapolation=extrapolation)
+            # Parse additional parameters
+            porod_const = self.get_porod_const()        
+            contrast = self.get_contrast()
+        except:
+            msg = r_msg + "Error occurred computing invariant: %s" % \
+                                                            sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="error",
+                                                  type="stop"))
         try:
             #Compute volume and set value to txtcrtl
